You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hugegraph.apache.org by je...@apache.org on 2024/03/30 17:43:07 UTC

(incubator-hugegraph-doc) branch validate-1.3.0 created (now 23a53d9a)

This is an automated email from the ASF dual-hosted git repository.

jermy pushed a change to branch validate-1.3.0
in repository https://gitbox.apache.org/repos/asf/incubator-hugegraph-doc.git


      at 23a53d9a fix validate-release.sh for 1.3.0

This branch includes the following new commits:

     new 23a53d9a fix validate-release.sh for 1.3.0

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.



(incubator-hugegraph-doc) 01/01: fix validate-release.sh for 1.3.0

Posted by je...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

jermy pushed a commit to branch validate-1.3.0
in repository https://gitbox.apache.org/repos/asf/incubator-hugegraph-doc.git

commit 23a53d9a953570a9eda18f8aba776f25d6b3b965
Author: Jermy Li <je...@apache.org>
AuthorDate: Sun Mar 31 01:42:59 2024 +0800

    fix validate-release.sh for 1.3.0
---
 dist/validate-release.sh | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

diff --git a/dist/validate-release.sh b/dist/validate-release.sh
index 3a3daefe..22a6d743 100755
--- a/dist/validate-release.sh
+++ b/dist/validate-release.sh
@@ -21,8 +21,8 @@
 # 3. Compile the source package & run server & toolchain
 # 4. Run server & toolchain in binary package
 
-# if we don't want to exit after '|', remove "-o pipefail"
-set -exo pipefail
+# exit when any error occurs
+set -e
 
 # release version (input by committer)
 RELEASE_VERSION=$1 # like 1.2.0
@@ -48,7 +48,7 @@ echo "Current work dir: $(pwd)"
 ################################
 # Step 1: Download SVN Sources #
 ################################
-rm -rf "${WORK_DIR}/dist/${RELEASE_VERSION}"
+#rm -rf "${WORK_DIR}/dist/${RELEASE_VERSION}"
 mkdir -p "${WORK_DIR}/dist/${RELEASE_VERSION}"
 cd "${WORK_DIR}/dist/${RELEASE_VERSION}"
 svn co "${SVN_URL_PREFIX}/${RELEASE_VERSION}" .
@@ -99,6 +99,7 @@ for i in *src.tar.gz; do
   tar -xzvf "$i"
   MODULE_DIR=$(basename "$i" .tar.gz)
   pushd ${MODULE_DIR}
+  mvn clean
   echo "Start to check the package content: ${MODULE_DIR}"
 
   # 4.2: check the directory include "NOTICE" and "LICENSE" file and "DISCLAIMER" file
@@ -153,15 +154,17 @@ for i in *src.tar.gz; do
   done
 
   # 4.8: test compile the packages
-  if [[ ($JAVA_VERSION == 8 && "$i" =~ "computer") ]] || [[ "$i" =~ 'hugegraph-ai' ]]; then
-    echo "Skip compile computer module in java8 & AI module in all versions"
-    popd
-    continue
+  if [[ ($JAVA_VERSION == 8 && "$i" =~ "hugegraph-computer") ]]; then
+    echo "Skip compile $i module in java8"
+  elif [[ "$i" =~ 'hugegraph-ai' ]]; then
+    echo "Skip compile $i module in all versions"
+  elif [[ "$i" =~ "hugegraph-commons" ]]; then
+    mvn install -DskipTests -ntp -e
+  else
+    # TODO: consider using commands that are entirely consistent with building binary packages
+    mvn package -DskipTests -ntp -e -Dmaven.wagon.http.ssl.insecure=true -Dmaven.wagon.http.ssl.allowall=true -Dmaven.wagon.http.ssl.ignore.validity.dates=true
+    ls -lh
   fi
-  # TODO: consider using commands that are entirely consistent with building binary packages
-  mvn package -DskipTests -Papache-release -ntp -e
-  ls -lh
-
   popd
 done